Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability
Class ORB

    java.lang.Object
      com.arjuna.orbportability.ORB

public class ORB
extends java.lang.Object

An attempt at some ORB portable ways of interacting with the ORB. NOTE: initORB *must* be called if you want to use the pre- and post- initialisation mechanisms.

Since:
  JTS 1.0.
Version:
  $Id: ORB.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com), Richard Begg (richard.begg@arjuna.com)

Constructor Summary
`protected` | `ORB(java.lang.String orbName)`

Method Summary
`boolean` | `addAttribute(Attribute p)`
`void` | `addPostShutdown(PostShutdown c)`
`void` | `addPreShutdown(PreShutdown c)`
`void` | `destroy()`
`static ORB` | `getInstance(java.lang.String uniqueId)` Retrieve an ORB instance given a unique name, if an ORB instance with this name doesn't exist then create it.
`void` | `initORB()` Initialise the default ORB.
`void` | `initORB(java.applet.Applet a, java.util.Properties p)` Initialise the ORB.
`void` | `initORB(java.lang.String[] s, java.util.Properties p)` Initialise the ORB.
`org.omg.CORBA.ORB` | `orb()` Obtain a reference to the current ORB.
`boolean` | `setOrb(org.omg.CORBA.ORB theORB)`
`void` | `shutdown()` Shutdown the ORB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORB

    protected ORB(java.lang.String orbName)

Method Detail

### initORB

    public void initORB()
                 throws org.omg.CORBA.SystemException

  Initialise the default ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### initORB

    public void initORB(java.applet.Applet a,
                        java.util.Properties p)
                 throws org.omg.CORBA.SystemException

  Initialise the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### initORB

    public void initORB(java.lang.String[] s,
                        java.util.Properties p)
                 throws org.omg.CORBA.SystemException

  Initialise the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### addAttribute

    public boolean addAttribute(Attribute p)

### shutdown

    public void shutdown()

  Shutdown the ORB.

### orb

    public org.omg.CORBA.ORB orb()

  Obtain a reference to the current ORB.

### setOrb

    public boolean setOrb(org.omg.CORBA.ORB theORB)

### addPreShutdown

    public void addPreShutdown(PreShutdown c)

### addPostShutdown

    public void addPostShutdown(PostShutdown c)

### destroy

    public void destroy()
                 throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### getInstance

    public static ORB getInstance(java.lang.String uniqueId)

  Retrieve an ORB instance given a unique name, if an ORB instance with this name doesn't exist then create it.

  Parameters:
    `uniqueId` - The name of the ORB instance to retrieve.
  Returns:
    The ORB instance refered to by the name given.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD